## net.dontdrinkandroot.cache.expungestrategy.impl
Class NoopExpungeStrategy

    java.lang.Object
      net.dontdrinkandroot.cache.expungestrategy.impl.NoopExpungeStrategy

All Implemented Interfaces:
  ExpungeStrategy

    public class NoopExpungeStrategy

extends Object
implements ExpungeStrategy

ExpungeStrategy that never triggers and does not return any MetaData to expunge.

Author:
  Philip W. Sorst <philip@sorst.net>

Constructor Summary
`NoopExpungeStrategy()`

Method Summary

`

`<K,M extends MetaData> Collection<Map.Entry<K,M>>`

`

`getToExpungeMetaData(Set<Map.Entry<K,M>> entrySet)`
Returns a collection of entries that should be expunged according to this strategy.

`boolean` `triggers(CacheStatistics statistics)` Checks if the strategy triggers based on the given statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopExpungeStrategy

    public NoopExpungeStrategy()

Method Detail

### triggers

    public boolean triggers(CacheStatistics statistics)

  Description copied from interface: `ExpungeStrategy`
  Checks if the strategy triggers based on the given statistics.

  Specified by:
    `triggers` in interface `ExpungeStrategy`

### getToExpungeMetaData

    public <K,M extends MetaData> Collection<Map.Entry<K,M>> getToExpungeMetaData(Set<Map.Entry<K,M>> entrySet)

  Description copied from interface: `ExpungeStrategy`
  Returns a collection of entries that should be expunged according to this strategy.

  Specified by:
    `getToExpungeMetaData` in interface `ExpungeStrategy`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.